1

[alpine-aports] [PATCH 1/2] main/umurmur: upgrade to 0.2.16a

Sören Tempel
Details
Message ID
<1455211605-8378-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1455211604
DKIM signature
missing
Download raw message
Patch: +35 -31
Also compile with OpenSSL instead of polarssl because this was the only
package still needing main/mbedtls1 furthermore we usually compile
packages with OpenSSL instead of polarssl by default.
---
 main/umurmur/APKBUILD | 66 +++++++++++++++++++++++++++------------------------
 1 file changed, 35 insertions(+), 31 deletions(-)

diff --git a/main/umurmur/APKBUILD b/main/umurmur/APKBUILD
index 9850324..4998c96 100644
--- a/main/umurmur/APKBUILD
+++ b/main/umurmur/APKBUILD
@@ -1,70 +1,74 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
 # Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
 pkgname=umurmur
-pkgver=0.2.16
-pkgrel=3
+pkgver=0.2.16a
+pkgrel=0
 pkgdesc="Minimalistic Mumble server primarily targeted to run on routers"
-url="https://code.google.com/p/umurmur/"
+url="http://umurmur.net/"
 arch="all"
-license="Custom"
-depends=
-depends_dev=
-makedepends="$depends_dev libconfig-dev mbedtls1-dev protobuf-c-dev autoconf
-             automake libtool"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="libconfig-dev openssl-dev protobuf-c-dev autoconf automake"
 install="$pkgname.post-install $pkgname.post-deinstall"
 subpackages="$pkgname-doc"
 pkgusers="umurmur"
 pkggroups="umurmur"
-source="umurmur-$pkgver.tar.gz::https://github.com/fatbob313/$pkgname/archive/$pkgver.tar.gz
+source="$pkgname-$pkgver.tar.gz::https://github.com/$pkgname/$pkgname/archive/$pkgver.tar.gz
 	$pkgname.initd
 	$pkgname.confd
 	$pkgname.conf
 	"
 
 _builddir="$srcdir"/$pkgname-$pkgver
-
 prepare() {
 	local i
 	cd "$_builddir"
-        for i in $source; do
-                case $i in
-                *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-                esac
-        done
-	autoreconf -fi
+	for i in $source; do
+		case $i in
+			*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+
+	autoreconf -fi || return 1
 }
 
 build() {
 	cd "$_builddir"
-	./configure --prefix=/usr \
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
 		--sysconfdir=/etc \
 		--mandir=/usr/share/man \
-		--infodir=/usr/share/info \
-		--with-ssl=polarssl
+		--localstatedir=/var \
+		--with-ssl=openssl \
+		|| return 1
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
-	install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/umurmurd
-	install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/umurmurd
-	install -m644 -D "$srcdir"/$pkgname.conf "$pkgdir"/etc/umurmur/umurmurd.conf
-	mkdir -p "$pkgdir"/usr/share/doc/umurmur
-	install -m644 -D "$_builddir"/AUTHORS "$pkgdir"/usr/share/doc/umurmur || return 1
-	install -m644 -D "$_builddir"/ChangeLog "$pkgdir"/usr/share/doc/umurmur || return 1
-	install -m644 -D "$_builddir"/LICENSE "$pkgdir"/usr/share/doc/umurmur || return 1
-	install -m644 -D "$_builddir"/README.md "$pkgdir"/usr/share/doc/umurmur || return 1
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 "$srcdir"/$pkgname.conf "$pkgdir"/etc/$pkgname/umurmurd.conf
+
+	install -Dm755 "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+	install -Dm644 "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/
+	install -Dm644 AUTHORS ChangeLog README.md \
+		"$pkgdir"/usr/share/doc/$pkgname/
 }
 
-md5sums="5d6f5b01a0fc357e26ea9ed433031bb9  umurmur-0.2.16.tar.gz
+md5sums="061aa71eb059eb00d2b123ec9200b405  umurmur-0.2.16a.tar.gz
 d0d19cdbba8ec2796a3924febe153927  umurmur.initd
 aa4ea345abedc55ef4f0a2be1cbd7168  umurmur.confd
 3239959c53f9df8beeb9c1d1ba4c2cf6  umurmur.conf"
-sha256sums="9b505826f0d13e60d5fd5d27cee486a11609faad45b5e229b99190aeaa846111  umurmur-0.2.16.tar.gz
+sha256sums="d64df8f77ceaa4951d7f2adbb2dcc173841d1e387ef4cd2082c42150a84349a5  umurmur-0.2.16a.tar.gz
 5db7db929abb829b4e586a9973a12ae4a36a6eb603d1fe6b239abbc5d60a4a61  umurmur.initd
 e994d68b860923acaa22cce1864d781fa8299203ba64121cc871bbfee4febad2  umurmur.confd
 6d34c8915d7d2cbd21cdb9d3ff1f9227c48d458046481c785a260e1faeae233f  umurmur.conf"
-sha512sums="16c6bcdb306ce323ee704ae94d537c3305556d11ae1288d15794051fc70272e93f02044831303277dcc24ba6b8412a5a38b07a02737af68d1960c150d4fafeac  umurmur-0.2.16.tar.gz
+sha512sums="432a85e93cb7d53c505caf8b97c1bb7c173c8f625127510de61cc0a1e3abaea9abcf96ab1c0a8c5039ba82af5d29710e4973f70c1438bfd44ba00fa0c3f64c9e  umurmur-0.2.16a.tar.gz
 1c22da6478738b8ac77aecbbf8e41260a957ddffec350020e56b622c70445ebf8dc28feb563b878f2c64132742d8e1e0cbcbd2a50f0c0b29a309ca29598d8c94  umurmur.initd
 b6412621522c9148d5eaced25ff4fb023b0c84206a969120e261b4a89386c46961f1c485435a1763935f538c04c03f7b4b83d45779f1ba796b627cdb0d2436a0  umurmur.confd
 563573c405013bdf9d76003d68eb9619064659dc1e1b8b1fde24c0e587a807202bf62efe7f227cc95ff8b6db68a2ace3f0f359cef74c1bf5f1582815dd623501  umurmur.conf"
-- 
2.7.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/2] main/mbedtls1: remove aport

Sören Tempel
Details
Message ID
<1455211605-8378-2-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1455211605-8378-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1455211605
DKIM signature
missing
Download raw message
Patch: +0 -76
The only package needing this was main/umurmur but umurmur uses OpenSSL
nowadays so we no longer need the 1.X polarssl branch in main. The 2.X
branch is available in testing/.
---
 main/mbedtls1/APKBUILD                | 54 -----------------------------------
 main/mbedtls1/programs.makefile.patch | 22 --------------
 2 files changed, 76 deletions(-)
 delete mode 100644 main/mbedtls1/APKBUILD
 delete mode 100644 main/mbedtls1/programs.makefile.patch

diff --git a/main/mbedtls1/APKBUILD b/main/mbedtls1/APKBUILD
deleted file mode 100644
index 0304a81..0000000
--- a/main/mbedtls1/APKBUILD
@@ -1,54 +0,0 @@
-# Maintainer: Łukasz Jendrysik <scadu@yandex.com>
-# Contributor: Bartłomiej Piotrowski <bpiotrowski@alpinelinux.org>
-
-pkgname=mbedtls1
-pkgver=1.3.11
-pkgrel=0
-pkgdesc='Portable cryptographic and SSL/TLS library'
-arch=all
-url='https://tls.mbed.org/'
-license='GPL2'
-replaces="mbedtls"
-subpackages="$pkgname-dev $pkgname-utils"
-source="https://tls.mbed.org/download/mbedtls-$pkgver-gpl.tgz
-        programs.makefile.patch"
-
-prepare() {
-  cd "$srcdir"/mbedtls-$pkgver
-  sed -i 's|//\(#define POLARSSL_THREADING_C\)|\1|' include/polarssl/config.h
-  sed -i 's|//\(#define POLARSSL_THREADING_PTHREAD\)|\1|' include/polarssl/config.h
-
-  # cert_write
-  patch -p1 -d programs -i "$srcdir"/programs.makefile.patch
-}
-
-build() {
-  cd "$srcdir"/mbedtls-$pkgver
-  LDFLAGS="$LDFLAGS -I../include " make SHARED=1 no_test || return 1
-}
-
-check() {
-  cd "$srcdir"/mbedtls-$pkgver
-  make SHARED=1 check || return 1
-}
-
-package() {
-  cd "$srcdir"/mbedtls-$pkgver
-  make DESTDIR="$pkgdir/usr" install || return 1
-}
-
-utils() {
-  pkgdesc='PolarSSL command line utilities'
-  install -d "$subpkgdir"/usr
-  mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
-
-  install -Dm755 "$srcdir"/mbedtls-$pkgver/programs/x509/cert_write \
-    "$subpkgdir"/usr/bin/mbedtls_cert_write
-}
-
-md5sums="c02ce2e54862d678604794ee484fb59e  mbedtls-1.3.11-gpl.tgz
-d90f2d4cf4d4f04437a245cbaf7051ed  programs.makefile.patch"
-sha256sums="67a593027b6a442a4fa5b6c224c4ac8cdae5be721f5a28a11d34f10dcda441cb  mbedtls-1.3.11-gpl.tgz
-4310b1074ccb611bfcfc2329540ef688bcb6fc1731af61dd454248477a0f401d  programs.makefile.patch"
-sha512sums="242c486becc34d3b7ebba7624686aea6ed7713033aeabbfae7227284df322f191ddd5b9ded1228f100cd50bcfafb12396d93c30420afd3feb979b52a1860551e  mbedtls-1.3.11-gpl.tgz
-e77310e9bdd8b152838eaaf3bfc2e9fe42ab00945772d6102577062e69cd7de0992753eebcb3ae720eae2b6a2b63a02310db165a950151aaba64bbc52fd78dcf  programs.makefile.patch"
diff --git a/main/mbedtls1/programs.makefile.patch b/main/mbedtls1/programs.makefile.patch
deleted file mode 100644
index 3aef5f5..0000000
--- a/main/mbedtls1/programs.makefile.patch
@@ -1,22 +0,0 @@
---- programs/Makefile	2014-07-31 12:20:17.748459143 -0400
-+++ programs/Makefile	2014-07-31 12:21:35.388454356 -0400
-@@ -43,7 +43,7 @@
- 	test/selftest$(EXEXT)		test/ssl_test$(EXEXT)		\
- 	util/pem2der$(EXEXT)		util/strerror$(EXEXT)		\
- 	x509/cert_app$(EXEXT)		x509/crl_app$(EXEXT)		\
--	x509/cert_req$(EXEXT)
-+	x509/cert_req$(EXEXT)		x509/cert_write$(EXEXT)
- 
- ifdef OPENSSL
- APPS +=	test/o_p_test
-@@ -241,6 +241,10 @@
- 	echo   "  CC    x509/cert_req.c"
- 	$(CC) $(CFLAGS) $(OFLAGS) x509/cert_req.c    $(LDFLAGS) -o $@
- 
-+x509/cert_write$(EXEXT): x509/cert_write.c ../library/libmbedtls.a
-+	echo   "  CC    x509/cert_write.c"
-+	$(CC) $(LOCAL_CFLAGS) $(CFLAGS) x509/cert_write.c    $(LOCAL_LDFLAGS) $(LDFLAGS) -o $@
-+
- clean:
- ifndef WINDOWS
- 	rm -f $(APPS)
-- 
2.7.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---